local *

{
  :idTweaks
  :oUF
} = _G

class UnitFrame
  new: (unit) =>
    @unit = unit
    @frame = oUF\Spawn @unit
    @bars = {}
    @indicators = {}

  add_bar: (bar) =>
    @bars[bar.name] = bar

  remove_bar: (bar) =>
    @bars[bar.name] = nil

  add_indicator: (indicator) =>
    @indicators[indicator.name] = indicator

  remove_indicator: (indicator) =>
    @indicators[indicator.name] = nil

idTweaks.UnitFrame = UnitFrame
